first build 16.1.4

Former-commit-id: 0d550483d67f330350a2da5eee31d313be2caf70
This commit is contained in:
mjames-upc 2016-03-26 19:08:28 -05:00
parent 82fa4440a2
commit d2a86f7252
12 changed files with 84 additions and 74 deletions

View file

@ -0,0 +1,5 @@
Deploy one of the two fake python libraries (libpython.so) depending on the
architecture; deploy-install is capable of determining which library
to deploy. The 32-bit libpython.so is installed with the 64-bit edex and the
64-bit libpython.so is installed with the 32-bit edex to eliminate all or
most of the LD_PRELOAD errors.

View file

@ -247,7 +247,6 @@ function importShapefiles()
return 0
fi
# indicate success
echo "INFO: The FFMP and WarnGen shapefiles were successfully imported." >> ${log_file}
return 0

View file

@ -3,12 +3,13 @@
# Build Variables:
# -----------------------------------------------------------------------------
VAR_AWIPSII_TOP_DIR="/home/mjames/rpmbuild"
VAR_WORKSPACE="/awips2/jenkins/buildspace/workspace"
VAR_AWIPSII_TOP_DIR="/home/bkowal/rpmbuild"
VAR_WORKSPACE="/common/bkowal/git/thunder/baseline"
VAR_AWIPSII_BUILD_ROOT="/tmp/awips-component"
VAR_AWIPSII_VERSION=""
VAR_AWIPSII_RELEASE=""
VAR_UFRAME_ECLIPSE="/awips2/eclipse"
VAR_UFRAME_ECLIPSE="/opt/uframe-eclipse"
VAR_AWIPSCM_SHARE="/awipscm"
# -----------------------------------------------------------------------------
if [ "${AWIPSII_TOP_DIR}" = "" ] &&
@ -51,6 +52,10 @@ function prepareBuildEnvironment()
if [ "${UFRAME_ECLIPSE}" = "" ]; then
export UFRAME_ECLIPSE="${VAR_UFRAME_ECLIPSE}"
fi
if [ "${AWIPSCM_SHARE}" = "" ]; then
export AWIPSCM_SHARE="${VAR_AWIPSCM_SHARE}"
fi
}
function setTargetArchitecture()
@ -150,7 +155,6 @@ cd ../
buildRPM "Installer.edex"
buildRPM "Installer.edex-configuration"
#buildRPM "Installer.edex-shapefiles"
# build the edex-hazards component
export COMPONENT_NAME="edex-hazards"
@ -162,8 +166,6 @@ DIST="${WORKSPACE}/build.edex/edex/dist"
for edex_zip in `cd ${DIST}; ls -1;`;
do
edex_component=`python -c "zipFile='${edex_zip}'; componentName=zipFile.replace('.zip',''); print componentName;"`
# do not build edex-datadelivery since it is now built differently from the other edex feature rpms
# since this is currently the only case, the exclusion will be hard-coded
#Data Delivery and Hazard Services components are built separately
if [ ! "${edex_component}" = "edex-datadelivery" ] &&
@ -175,10 +177,10 @@ do
done
# build the edex-datadelivery rpm
#export COMPONENT_NAME="edex-datadelivery"
#patchSpecification
#buildRPM "Installer.edex-datadelivery"
#unset COMPONENT_NAME
export COMPONENT_NAME="edex-datadelivery"
patchSpecification
buildRPM "Installer.edex-datadelivery"
unset COMPONENT_NAME
#build shapefiles RPM last
#buildRPM "Installer.edex-shapefiles"
buildRPM "Installer.edex-shapefiles"

View file

@ -46,7 +46,7 @@ if [ $? -ne 0 ]; then
exit 1
fi
SHAPEFILES=%{_awipscm_share}/awips2-static/shapefiles/
SHAPEFILES=%{_awipscm_share}/awips2-static/maps/shapefiles
if [ ! -d ${SHAPEFILES} ]; then
file ${SHAPEFILES}
exit 1
@ -58,10 +58,35 @@ if [ $? -ne 0 ]; then
exit 1
fi
mkdir -p %{_build_root}/awips2/edex/data/utility/edex_static/base/shapefiles/WarnGenLoc
if [ $? -ne 0 ]; then
exit 1
fi
#create a list of all files packaged for /awips2/edex/data/utility
UTILITY=/awips2/edex/data/utility
if [ -d %{_build_root}/$UTILITY ]; then
cd %{_build_root}/$UTILITY
find . -type f > %{_build_root}/awips2/edex/util_filelist.%{name}.txt
fi
%pre
%post
#change date stamp of utility files
UTILITY=/awips2/edex/data/utility
UTIL_FILENAME=/awips2/edex/util_filelist.%{name}.txt
if [ -d $UTILITY ] && [ -f $UTIL_FILENAME ]; then
while read fileName
do
touch "$UTILITY/$fileName"
done < $UTIL_FILENAME
rm -f $UTIL_FILENAME
fi
%preun
%postun

View file

@ -51,6 +51,10 @@ function prepareBuildEnvironment()
if [ "${UFRAME_ECLIPSE}" = "" ]; then
export UFRAME_ECLIPSE="${VAR_UFRAME_ECLIPSE}"
fi
if [ "${AWIPSCM_SHARE}" = "" ]; then
export AWIPSCM_SHARE="/awips2/repo"
fi
}
function setTargetArchitecture()
@ -65,7 +69,6 @@ function setTargetArchitecture()
fi
}
export TARGET_BUILD_ARCH=
# If the architecture has not been specified, default to 32-bit.
if [ "${EDEX_BUILD_ARCH}" = "" ]; then
@ -80,53 +83,26 @@ function buildRPM()
# Arguments:
# ${1} == specs file
if [ ! "${COMPONENT_NAME}" = "edex-binlightning" ] ||
[ ${LIGHTNING} = true ]; then
rpmbuild -ba --target=${TARGET_BUILD_ARCH} \
--define '_topdir %(echo ${AWIPSII_TOP_DIR})' \
--define '_baseline_workspace %(echo ${WORKSPACE})' \
--define '_uframe_eclipse %(echo ${UFRAME_ECLIPSE})' \
--define '_awipscm_share %(echo ${AWIPSCM_SHARE})' \
--define '_build_root %(echo ${AWIPSII_BUILD_ROOT})' \
--define '_component_version %(echo ${AWIPSII_VERSION})' \
--define '_component_release %(echo ${AWIPSII_RELEASE})' \
--define '_component_name %(echo ${COMPONENT_NAME})' \
--define '_build_arch %(echo ${EDEX_BUILD_ARCH})' \
--define '_build_bits %(echo ${EDEX_BUILD_BITS})' \
--buildroot ${AWIPSII_BUILD_ROOT} \
${1}/component.spec
RC=$?
if [ ${RC} -ne 0 ]; then
echo "FATAL: rpmbuild failed."
exit 1
fi
rpmbuild -ba --target=${TARGET_BUILD_ARCH} \
--define '_topdir %(echo ${AWIPSII_TOP_DIR})' \
--define '_baseline_workspace %(echo ${WORKSPACE})' \
--define '_uframe_eclipse %(echo ${UFRAME_ECLIPSE})' \
--define '_awipscm_share %(echo ${AWIPSCM_SHARE})' \
--define '_build_root %(echo ${AWIPSII_BUILD_ROOT})' \
--define '_component_version %(echo ${AWIPSII_VERSION})' \
--define '_component_release %(echo ${AWIPSII_RELEASE})' \
--define '_component_name %(echo ${COMPONENT_NAME})' \
--define '_build_arch %(echo ${EDEX_BUILD_ARCH})' \
--define '_build_bits %(echo ${EDEX_BUILD_BITS})' \
--buildroot ${AWIPSII_BUILD_ROOT} \
${1}/component.spec
RC=$?
if [ ${RC} -ne 0 ]; then
echo "FATAL: rpmbuild failed."
exit 1
fi
}
prepareBuildEnvironment
pushd .
cd ${WORKSPACE}/build.edex
if [ $? -ne 0 ]; then
exit 1
fi
if [ ${LIGHTNING} = true ]; then
/awips2/ant/bin/ant -f build.xml -Dlightning=true \
-Duframe.eclipse=${UFRAME_ECLIPSE}
RC=$?
else
/awips2/ant/bin/ant -f build.xml \
-Duframe.eclipse=${UFRAME_ECLIPSE}
RC=$?
fi
if [ ${RC} -ne 0 ]; then
exit 1
fi
popd
setTargetArchitecture
# Adjust Our Execution Position.
cd ../
cd ..
buildRPM "Installer.edex-shapefiles"

View file

@ -32,7 +32,10 @@ function lookupRPM()
installer_dir="${rpms_dir}/../installers/RPMs"
# lookup the rpm.
if [ "${1}" = "awips2-edex-shapefiles" ]; then
export RPM_SPECIFICATION="${awips2_edex_dir=}/Installer.edex-shapefiles"
return 0
fi
# foss rpms -> python rpms.
if [ "${1}" = "awips2-maven" ]; then
export RPM_SPECIFICATION="${installer_dir}/maven-3.2.3/"

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash -v
function buildRPM()
{
@ -121,12 +121,13 @@ if [ "${1}" = "-topo" ]; then
fi
if [ "${1}" = "-pydev" ]; then
#buildRPM "awips2-python"
buildRPM "awips2-python-jep"
buildRPM "awips2-python-awips"
#buildRPM "awips2-python-jep"
#buildRPM "awips2-python-numpy"
#buildRPM "awips2-python-pyparsing"
#buildRPM "awips2-python-six"
#buildRPM "awips2-python-nose"
buildRPM "awips2-python-h5py"
#buildRPM "awips2-python-h5py"
#buildRPM "awips2-pypies"
#buildRPM "awips2-python-cycler"
@ -138,7 +139,6 @@ if [ "${1}" = "-pydev" ]; then
#buildRPM "awips2-python-scipy"
#buildRPM "awips2-python-matplotlib"
#buildRPM "awips2-python-basemap"
#buildRPM "awips2-python-awips"
# DONE
#buildRPM "awips2-python-pint"
@ -301,13 +301,13 @@ if [ "${1}" = "-httpd" ]; then
exit 0
fi
if [ "${1}" = "-postgres" ]; then
buildRPM "awips2-pypies"
#buildRPM "awips2-pypies"
#buildRPM "awips2-postgres"
#buildRPM "awips2-edex-upc"
#buildRPM "awips2-database"
#buildRPM "awips2-database-standalone-configuration"
#buildRPM "awips2-maps-database"
#buildRPM "awips2-ncep-database"
buildRPM "awips2-database"
buildRPM "awips2-database-standalone-configuration"
buildRPM "awips2-maps-database"
buildRPM "awips2-ncep-database"
exit 0
fi
@ -537,7 +537,7 @@ if [ "${1}" = "-cave" ]; then
fi
if [ "${1}" = "-other" ]; then
#buildRPM "awips2"
buildRPM "awips2"
#buildRPM "awips2-cli"
#buildRPM "awips2-hydroapps-shared"
#buildRPM "awips2-gfesuite-client"
@ -549,7 +549,7 @@ if [ "${1}" = "-other" ]; then
#buildRPM "awips2-aviation-shared"
#buildRPM "awips2-edex-environment"
#buildRPM "awips2-data.gfe"
buildRPM "awips2-data.hdf5-topo"
#buildRPM "awips2-data.hdf5-topo"
#buildRPM "awips2-alertviz"
#buildRPM "awips2-notification"
#buildRPM "awips2-groovy"

View file

@ -9,7 +9,7 @@
Name: awips2-python-awips
Summary: AWIPS II Python awips Distribution
Version: 0.9.3
Release: 3
Release: 4
Group: AWIPSII
BuildRoot: %{_build_root}
BuildArch: %{_build_arch}

View file

@ -1,4 +1,4 @@
#!/bin/bash
#!/bin/bash -v
set -xe
export JENKINS_WORKSPACE=/awips2/repo/awips2-builds

View file

@ -22,7 +22,7 @@ export WORKSPACE="${BUILD_WORKSPACE}/AWIPS2-UPC_build/baseline"
export UFRAME_ECLIPSE="/awips2/eclipse"
export AWIPSCM_SHARE="${BUILD_WORKSPACE}/awipscm"
export AWIPSCM_SHARE="/awips2/repo"
export AWIPSII_BUILD_ROOT="${BUILD_WORKSPACE}/tmp/${USER}/awips-component"
echo "BUILD_DIR = $BUILD_DIR"